org.eclipse.incquery.viewmodel.core

## Class ViewModelRule

- java.lang.Object
- - org.eclipse.incquery.viewmodel.core.ViewModelRule

- Direct Known Subclasses:
    ContainmentRule, EdgeRule, ItemRule

      public abstract class ViewModelRule
      extends java.lang.Object

  Common ancestor for defining rules for the view models. By default all the jobs are NopJobs.
  Author:
    Csaba Debreceni

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewModelRule(AbstractQuerySpecificationDescriptor descriptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createRuleSpecification(ExecutionSchema executionSchema)`
    `IQuerySpecification<?>` | `getBaseSpecification()`
    `EventFilter<IPatternMatch>` | `getFilter()`
    `GenericReferencedQuerySpecification` | `getReferencedSpecification()`
    `GenericTracedQuerySpecification` | `getTracedSpecification()`
    `void` | `initialize(java.lang.String traceabilityId)`
    `boolean` | `isFiltered()`
    `void` | `setFilter(EventFilter<IPatternMatch> filter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewModelRule

          public ViewModelRule(AbstractQuerySpecificationDescriptor descriptor)

  - ### Method Detail

    - #### getTracedSpecification

          public GenericTracedQuerySpecification getTracedSpecification()

    - #### getReferencedSpecification

          public GenericReferencedQuerySpecification getReferencedSpecification()

    - #### getBaseSpecification

          public IQuerySpecification<?> getBaseSpecification()

    - #### createRuleSpecification

          public final void createRuleSpecification(ExecutionSchema executionSchema)

    - #### setFilter

          public void setFilter(EventFilter<IPatternMatch> filter)

    - #### getFilter

          public EventFilter<IPatternMatch> getFilter()

    - #### isFiltered

          public boolean isFiltered()

    - #### initialize

          public final void initialize(java.lang.String traceabilityId)
                                throws QueryInitializationException

      Throws:
        `QueryInitializationException`